*, *::before, *::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  overflow-x: hidden; /* Sécurité : empêche tout défilement horizontal résiduel */
}

button{
  border-width: 0px;
  background-color: rgb(0, 0, 0);
  color: rgb(255, 255, 255);
  border-color: rgb(0, 0, 0);
  border-radius: 40px;
  align-content: center;
  font-size: 1em;
  }
button:hover{
 background-color: rgb(29, 30, 32);
 color: rgb(255, 255, 255);
 cursor:pointer;
}


#banner{
  background-image: url("https://www.shooting.hopeuleuss.online/depart.jpg");
  background-position: 60%;
  background-attachment: fixed;
  background-origin: border-box;
  background-size: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-content: center;
  height: 450px;
  overflow-wrap: normal;
  
  #titles{
    color: white;
    text-align: center;
    
    &>h1{
      font-size: 4em;
      margin-bottom: 2%;
      margin-top: 5%
    }
    &>h2{
      font-size: 1,5em;
    }
  }
  #menu{
    align-self: center;
    text-align: center;
    display:flex;
    align-content: end;
    justify-content: space-around;
    width: 40%;
    height: 20%;
    margin-bottom: 10px;
    padding-bottom: 0px;
    margin-bottom: 2%;
    
    &>button{
      height: calc(50%);
      width: calc(30%);
      min-width:50px;
      max-width:125px;
     }
    &>button:hover{
     background-color: rgb(29, 30, 32);
     color: rgb(255, 255, 255);
    }
  }
  @media (max-width: 850px) {
    height:250px;
    background-position: auto;
     background-size: auto;
  }
}

#corp-showroom {
  margin-top: 5%;
  margin-left: 5%;
  margin-right: 5%;
  
  &>h1 {
    text-align: center;
  }
  
  #showroom {
    display: flex;
    flex-direction: row;
    align-content: center
    width: 100%;
    
    .column {
      flex: 1 1 50%;
      max-width: 50%;
      padding: 0 4px;
      text-align: center;
      &>img {
        margin-top: 8px;
        margin: auto;
        width: 90%;
        border: solid black 2px;
      }
    }
  }  
  #button-showroom{
    text-align: center;
    padding-top:10px;
    padding-bottom: 20px;
    &>button{
      width: 70%;
      border-radius:0px;
      font-size: 1.7em
    }
  }

  @media (max-width: 850px) {
    #showroom{
      flex-direction: column;
    .column {
      flex: 1;
      max-width: 100%;
      max-height: 80%;
    }
    }
  }

}